irrlamb - 3D physics game
by Alan Witkowski

Source code at:
https://github.com/jazztickets/irrlamb

Linux dependencies:
cmake 2.8+
irrlicht 1.8
bullet 2.83
freetype2
sqlite3
lua 5.2+
openal
libvorbis
libogg

Building and running:
mkdir build
cd build
cmake ..
make -j`nproc`
cd ../working && ../bin/Release/irrlamb

Lua 5.2 can be used by setting LUA_VERSION
cmake .. -DLUA_VERSION=5.2

Installing:
run "sudo make install" from the build directory.

Windows users will need:
https://www.openal.org/downloads/oalinst.zip
https://www.microsoft.com/en-us/download/details.aspx?id=48145

Command-line arguments
-level [.xml file]        Test a level
-replay [.replay file]    View a replay
-noaudio                  Disable audio

Keys
E                         Move Forward
D                         Move Backwards
S                         Move Left
F                         Move Right
X                         Restart level
Space                     Jump
Escape                    Menu (or quit game in test mode)
F1                        Menu
F2                        Invert mouse
F3                        Show position in console
F5                        Reload level from disk
F11                       Toggle HUD
F12                       Screenshot


Save data is in ~/.local/share/irrlamb for linux and %APPDATA%/irrlamb for windows.


Setting up blender for exporting:

In blender, select File -> User Preferences -> Add-ons -> Install from File...

Select the file irrlamb/assets/irrb/io_export_irrlicht.py

Enable the add-on by checking the checkbox.

Run the setup_env.sh script:
cd irrlamb/assets/irrb/
./setup_env.sh

Log out or reboot for the environment variable to take effect.
